#### PyKDE - Python Bindings for KDE

# class KServiceOffer |
Table of contents
Modules
kio Classes
All Classes

Module | kio
Class | KServiceOffer
Inherits |

### methods

- KServiceOffer ()

  returns a KServiceOffer instance

- KServiceOffer (a0)

  returns a KServiceOffer instance
  Argument | Type | Default
  --- | --- | ---
  a0 | KServiceOffer |

- KServiceOffer (_service, _pref, _default)

  returns a KServiceOffer instance
  Argument | Type | Default
  --- | --- | ---
  _service | KService.Ptr |
  _pref | int |
  _default | bool |

- allowAsDefault ()

  returns (bool)

- isValid ()

  returns (bool)

- preference ()

  returns (int)

- service ()

  returns (KService.Ptr)

## operators

- operator < (a0)

  returns (bool)
  In versions KDE 3.1.4 and above only
  Argument | Type | Default
  --- | --- | ---
  a0 | KServiceOffer |